System Requirements

Minimum System Requirements for NCSS 2019

In order to run NCSS 2019, your computer must meet the following minimum standards:

  • Processor:
    • 450 MHz or faster processor
    • 32-bit (x86) or 64-bit (x64) processor
  • RAM:
    • 256 MB (512 MB recommended)
  • Operating Systems:
    • Windows 10 or later
    • Windows 8.1
    • Windows 8
    • Windows 7
    • Windows Vista with Service Pack 2 or higher
    • Windows Server 2016 or later
    • Windows Server 2012 R2
    • Windows Server 2012
    • Windows Server 2008 SP2/R2
  • Privileges:
    • Administrative rights required during installation only
  • Third Party Software:
    • Microsoft .NET 4.6 (Comes pre-installed with Windows 10 or later and Windows Server
      2016 or later. Installation required on Windows 8.1 or earlier and Windows Server
      2012 R2 or earlier. For systems where .NET 4.6 installation is required, a .NET 4.6
      download helper will start automatically when you run the NCSS setup file.
      )
    • Microsoft Windows Installer 3.1 or higher
    • Adobe Reader® 7 or higher (required for the Help System only)
  • Hard Disk Space:
    • 300 MB for NCSS (plus space for Microsoft .NET 4.6 if not already installed)
  • Printer:
    • Any Windows-compatible inkjet or laser printer

NCSS 2019 on a Mac

A Windows emulator (such as Parallels) is required to run NCSS 2019 on a Mac.

"I have been using NCSS for almost 20 years. I absolutely love it. It does everything [I need that] SPSS or SAS does, is more reasonably priced and user friendly and has wonderful customer support. If you have a problem, when you call a real person (who created the software) gently talks you through it. It is a great product and a great company."

Cheryl L. Meyer, PhD, Wright State University

"Two reasons for choosing your product [PASS]: all-around methods and options + very good documentation."

Mika Kurkilahti, PhD